%global version_major 10
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}
%global ruby_path %(echo %{ruby_vendorlibdir} | sed -e 's|/usr/||g')

Name:           gz-msgs
Version:        10.1.1
Release:        2%{?dist}
Summary:        Protobuf messages and functions for robot applications

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 
Patch0:         %{name}-10.1.1-installpaths.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-math-devel >= 7
BuildRequires:  gz-tools-devel >= 2
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  make
BuildRequires:  protobuf-compiler
BuildRequires:  protobuf-devel
BuildRequires:  python3-devel
BuildRequires:  python3-protobuf
BuildRequires:  ruby-devel
BuildRequires:  tinyxml2-devel
# Documentation
BuildRequires:  doxygen


%description
Gazebo Messages, a component of Gazebo, provides protobuf message definitions
and functions designed for robotic applications.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3
Requires: protobuf-devel
Requires: tinyxml2-devel

%description devel
%{summary}

%package -n python3-%{name}
Summary: Python libraries for %{name}
Requires: python3
Requires: python3-protobuf

%description -n python3-%{name}
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
export DESTDIR=%{buildroot}
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DRUBY_LIB_INSTALL_DIR:STRING=%{ruby_path} \
  -DUSE_SYSTEM_PATHS_FOR_PYTHON_INSTALLATION:BOOL=ON
%cmake_build


%install
%cmake_install
rm -fr %{buildroot}%{python3_sitelib}/gz/msgs10/__pycache__

%check
%ctest

%files
%license LICENSE
%{_bindir}/*
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}
%{ruby_vendorlibdir}/gz

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/gz

%files -n python3-%{name}
%license LICENSE
%{python3_sitelib}/gz

%changelog
* Fri Apr 05 2024 Rich Mattes <richmattes@gmail.com> - 10.1.1-2
- Fix ruby tool path

* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 10.1.1-1
- Initial package
